* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --navy: #212e3f;
  --navy-light: rgb(18, 26, 36, 0.6);
  --gold: #af965f;
  --lightgrey: #bfbfc1;
  --darkgrey: #666766;
  --darkaccent: #363940;
  --white: #fff;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  font-family: "Roboto", Helvetica, Arial, sans-serif;
  background-color: rgb(231, 231, 231);
}

a {
  text-decoration: none;
}

ul {
  list-style: none;
}

*:focus {
  outline: none;
  box-shadow: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Roboto", Helvetica, Arial, sans-serif;
  font-weight: 700;
  margin-bottom: 10px;
}
h1 {
  font-size: 36px;
}
h2 {
  font-size: 30px;
}
h3 {
  font-size: 26px;
}
h4 {
  font-size: 22px;
}
h5 {
  font-size: 18px;
}
p {
  font: 14px/1.5em "Roboto";
}

.extra-space-l {
  margin-top: 50px;
}

.header {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 80px;
  background-color: var(--navy);
}

.header-container {
  display: flex;
  justify-content: space-between;
  width: 1200px;
}

.header-container > div {
  padding: 20px;
}

.logo {
  width: 130px;
}

.topnav {
  display: none;
}

.navbar,
.navbar ul {
  display: flex;
}

.navbar ul li {
  padding: 10px;
  color: var(--white);
}
.navbar a {
  color: var(--lightgrey);
  padding: 2px;
}
.navbar a:hover {
  color: var(--gold);
  border-bottom: 2px solid var(--gold);
}

.gotop-btn {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 100;
  bottom: 20px;
  right: 20px;
  margin: 20px;
}

.gotop-btn:after {
  content: "";
  position: absolute;
  width: 38px;
  height: 38px;
  transform: rotate(45deg);
  border: 2px solid var(--gold);
}

.gotop-btn a {
  bottom: 20px;
  right: 20px;
  color: var(--gold);
  z-index: 101;
  scroll-behavior: smooth;
}

/* HERO */

.parallax {
  position: relative;
  background-image: url(img/Byron_hero_2025.png);
  background-position: top;
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
  width: 100vw;
  height: 100vh;
  z-index: -2;
}

.hero-text {
  position: absolute;
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: right;
}

.hero-item {
  position: absolute;
  display: flex;
  flex-direction: column;
  width: 600px;
  text-align: center;
  align-items: center;
  justify-content: center;
  color: var(--white);
  background-color: var(--navy-light);
  padding: 30px;
  bottom: calc(100vh - 80vh);
}

.hero-item p {
  color: var(--gold);
}

.hero-item h1 {
  font-size: 50px;
}

/* SYNOPSIS */

.page-header-wrapper {
  width: 100%;
}

.page-header-container {
  text-align: center;
}

.page-header-text {
  text-align: center;
  color: var(--navy);
  text-transform: uppercase;
}

.divider {
  width: 100%;
  height: 23px;
  background: url("img/divider.svg") no-repeat center center;
  margin: 5px 0 10px;
}

.section-wrapper {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
}

.section-container {
  display: flex;
  flex-direction: row;
  align-items: top;
  justify-content: space-around;
  flex-wrap: wrap;
  max-width: 1000px;
}

.section-info {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 300px;
  height: auto;
  padding: 5px;
  margin-top: 30px;
}

.section-container {
  width: 1200px;
}

.rotate-box-icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50px;
  height: 50px;
  background-color: var(--navy);
  color: var(--white);
  padding: 10px;
  transform: rotate(45deg);
}

.rotate-box-icon:after {
  content: "";
  position: absolute;
  top: 3px;
  right: 3px;
  bottom: 3px;
  left: 3px;
  border: 2px solid var(--white);
}

.rotate-box-icon i {
  transform: rotate(-45deg);
  animation: fade-spin 1.6s;
}

.rotate-box-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 20px;
  color: var(--darkgrey);
}

/* SKILLS */

.skills-container {
  position: relative;
}

.skills-info {
  width: 800px;

  overflow: hidden;
  background-color: var(--navy);
}

.skills-info img {
  position: relative;
  opacity: 0.05;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.progress-wrapper {
  position: absolute;
  width: 100%;
  padding: 35px 30px;
  top: 0;
}

.text-light {
  color: var(--white);
}

.progress-section {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
}

.progress-container {
  padding: 0 20px;
  width: 50%;
  margin-top: 20px;
}

.progress-label {
  width: 100%;
}

.progress-label h6 {
  font-size: 16px;
  font-weight: 200;
  letter-spacing: 0.5px;
  color: var(--white);
}

.progress-bar {
  width: 100%;
  height: 15px;
  overflow: hidden;
  border: 1px solid var(--gold);
}

.percent {
  position: relative;
  height: 100%;
  background-color: var(--gold);
}

/* INFO */

.info-container {
  display: flex;
  flex-wrap: wrap;
}

.rotate-box-icon-lg {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70px;
  height: 70px;
  background-color: var(--navy);
  color: var(--white);
  padding: 10px;
  transform: rotate(45deg);
}

.rotate-box-icon-lg:after {
  content: "";
  position: absolute;
  top: 3px;
  right: 3px;
  bottom: 3px;
  left: 3px;
  border: 2px solid var(--white);
}

.rotate-box-icon-lg i {
  font-size: 30px;
  transform: rotate(-45deg);
}

.rotate-box-info-lg {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin-top: 20px;
  color: var(--darkgrey);
  width: 310px;
}

/* ACCORDIONS */

.experience-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.experience-info {
  max-width: 1500px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}

.experience-box {
  width: 350px;
  margin: 15px;
}

.panel {
  position: relative;
  overflow: hidden;
  border: none;
  width: 100%;
  box-shadow: none;
  text-align: center;
}
.lead {
  margin: 0;
  font-size: 20px;
}
.panel-footer {
  padding: 8px;
  height: 50px;
}

.panel-heading {
  padding: 25px;
  border: none;
  background-color: var(--navy);
  color: var(--white);
}

.panel-heading h3 {
  font-size: 20px;
  margin-top: 15px;
}

.panel-heading h5 {
  font-size: 14px;
  font-weight: 200;
}

.panel-heading img {
  height: 50px;
}
.panel-body {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--gold);
  color: var(--navy);
  padding: 10px;
  height: 70px;
}
.list-group-item {
  color: var(--navy);
  border: none;
}

.list-group {
  border: 2px solid var(--gold);
}

.graph {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.graph-img {
  width: 50%;
  height: 100%;
}
.graph-img img {
  width: 60px;
}

.graph-info {
  width: 50%;
  height: 100%;
  text-align: left;
}

.panel-footer {
  background-color: var(--lightgrey);
  color: var(--navy);
}

.ac-label {
  font-weight: 700;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  background-color: var(--navy);
  color: var(--white);
  width: 100%;
  height: 50px;
}

.ac-label i {
  color: var(--gold);
  padding-left: 10px;
}

.ac-input:checked + label,
.ac-label:hover {
  background-color: #999;
}

.ac-input {
  display: none;
}

.onrequest {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--lightgrey);
  height: 50px;
  margin-top: 0px;
}

.spacer {
  height: 10px;
}

.onrequest p {
  padding: 2px;
}

/* the magic */

.ac-text,
.ac-sub-text {
  opacity: 0;
  height: 0;
  transition: opacity 0.5s ease-in-out;
  overflow: hidden;
}

.ac-input:checked ~ .ac-text,
.ac-sub {
  opacity: 1;
  height: auto;
}

/* sub-level */

.ac-sub .ac-label {
  background: none;
  font-weight: 600;
  padding: 0.5em 2em;
  margin-bottom: 0;
}

.ac-sub {
  padding: 1em;
  border: 1px solid var(--gold);
}

.ac-sub .ac-label:checked {
  background: none;
  border-bottom: 1.5px solid whitesmoke;
}

.ac-sub .ac-label:after,
.ac-sub .ac-input:checked + .ac-label:after {
  left: 0;
  background: none;
}

.ac-sub .ac-input:checked + label,
.ac-sub .ac-label:hover {
  background: none;
}

.ac-sub-text {
  padding: 0 1em 0 2em;
}

/* RESUME */

.full-wrapper {
  padding: 0px;
}

.resume-section {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 250px;
  background-color: rgb(211, 210, 210);
}

.resume-info {
  width: 1000px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px;
}

.resume-text {
  color: var(--navy);
  width: 70%;
}

.resume-text h2 {
  font-size: 40px;
}

.button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 150px;
  background-color: var(--navy);
  padding: 10px;
}

.button:hover {
  background-color: var(--darkgrey);
}

.button a {
  color: var(--white);
}

/* SOCIALS */

.social-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 350px;
}
.social-info {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.social-socials {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 220px;
  margin-top: 40px;
}

.social-icon {
  padding: 10px;
}

/*CONTACT */

.contact-container {
  width: 100%;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

.contact-info {
  width: 100%;
  height: 650px;
  overflow: hidden;
  background-color: var(--navy);
}

.contact-info img {
  position: relative;
  opacity: 0.05;
  width: 100%;
}

.contact-heading {
  color: var(--white);
}

.contact-wrapper {
  position: absolute;
  width: 1000px;
  padding: 50px 30px;
  top: 0;
}

.contact-box-card {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

.contact-info-side {
  color: var(--white);
}

.contact-box {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
  height: 100%;
  margin-top: 40px;
}

.contact-text {
  margin-top: 30px;
}

.contact-text-info i {
  color: var(--gold);
  padding-right: 20px;
}

.contact-text-info {
  display: flex;
  padding: 10px;
}

.contact-text-info a {
  color: var(--white);
}

.contact-form {
  width: 100%;
}

.contact-form h4 {
  margin-bottom: 30px;
}

.input-lg {
  height: 35px;
  margin-bottom: 15px;
  width: 100%;
  color: var(--white);
  background-color: rgba(116, 114, 114, 0.2);
  border: none;
  padding: 10px;
}

.textarea-lg {
  height: 150px;
}

::placeholder {
  color: var(--darkgrey);
  opacity: 1;
}

.btn {
  width: 100%;
  height: 35px;
  border: none;
  font-size: 18px;
  background-color: rgba(116, 114, 114, 0.7);
}

/* FOOTER */

.footer-container {
  background-color: var(--darkaccent);
  text-align: center;
  padding: 30px 0;
}
.footer-info {
  color: var(--lightgrey);
  text-decoration: none;
}

.footer-info a {
  color: var(--darkgrey);
  margin-left: 5px;
}

/* EMAIL SENT PAGE */

.sentmail {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
  justify-content: center;
  background-color: var(--navy);
}

.form_logo {
  width: 250px;
  padding: 40px;
}

.form_logo img {
  width: 100%;
}

.sentmail-heading {
  color: var(--white);
  margin-bottom: 50px;
}

.sentmail-heading h2 {
  font-weight: 100;
}

.back-button {
  background-color: var(--lightgrey);
}

.back-button a {
  color: var(--navy);
  font-weight: 600;
}
